The latest version bump from 2.9 to 2.10 breaks version checking

Bug #428337 reported by Marco Rodrigues on 2009-09-12
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
High
Martin Pitt
jockey (Ubuntu)
High
Martin Pitt

Bug Description

Binary package hint: python-distutils-extra

I detected this problem in Apport.

assert DistUtilsExtra.auto.__version__ >= '2.2', 'needs DistUtilsExtra.auto >= 2.2'

#!/bin/python
import DistUtilsExtra.auto, operator

a = '2.2'
b = '2.10'

if operator.le(a, b):
    print 'cool'
elif a > b:
    print 'bad'

if DistUtilsExtra.auto.__version__ >= 2.2:
    print 'bad'
elif DistUtilsExtra.auto.__version__ >= 2.10:
    print 'cool'

Martin Pitt (pitti) wrote :

This bad check causes the packages to fail to build.

affects: python-distutils-extra (Ubuntu) → apport (Ubuntu)
Changed in apport (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
status: New → In Progress
Changed in jockey (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
status: New → In Progress
Martin Pitt (pitti) wrote :

Fixed in apport trunk r1599

Changed in apport (Ubuntu):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Fixed in jockey trunk r571

Changed in jockey (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 1.9-0ubuntu5

---------------
apport (1.9-0ubuntu5) karmic; urgency=low

  * Merge bug fixes from trunk:
    - hookutils.py, attach_hardware(): Do not attach empty Pccardctl*.
    - apport/ui.py: Show a better message when failed connection to crash
      database. Thanks to Marco Rodrigues! (LP: #178507)
    - Do not throw away stderr from gdb.
    - data/general-hooks/parse_segv.py: Handle arithmetic wrapping correctly.
    - backends/packaging-apt-dpkg.py: More robust of missing ExecutablePath
      due to outdated packages.
    - setup.py: Fix DistUtilsExtra version check. (LP: #428337)
  * data/general-hooks/ubuntu.py: Add distribution channel descriptor, as per
    https://wiki.ubuntu.com/FoundationsTeam/Specs/OemTrackingId .
  * data/general-hooks/ubuntu.py: Do not allow users to file bugs against
    upgrade-system if the package isn't actually installed. Way too many
    upgrade failures get wrongly reported against this. (LP: #404727)
  * debian/rules: Entirely drop obsolete dh_installinit call.

 -- Martin Pitt <email address hidden> Tue, 15 Sep 2009 17:31:26 +0200

Changed in apport (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jockey - 0.5.4-0ubuntu1

---------------
jockey (0.5.4-0ubuntu1) karmic; urgency=low

  * New upstream bug fix release:
    - Update tests for openprinting.org changes; LaserJet 3020 does not exist
      any more, replace with DesignJet 3050CP.
    - Handler: Reload module blacklist after installing a driver package,
      since it might ship blacklists.
    - setup.py: Fix DistUtilsExtra version check. (LP: #428337)
    - jockey-gtk: Check for having $DISPLAY at startup to avoid crashes.
      (LP: #204134)
  * ui.py: Fix error message parsing, thanks to rugby471! (LP: #386375)
  * Add data/handlers/dvb_usb_firmware.py: Handler for DVB USB cards which
    need to have the linux-firmware-nonfree package installed. (LP: #223212)

 -- Martin Pitt <email address hidden> Mon, 21 Sep 2009 18:31:45 +0200

Changed in jockey (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers